Subject: Re: [RRG] GSE History

From: Brian E Carpenter <[email-masked]>
Date: Thu, 12 Jun 2008 11:48:55 +1200

On 2008-06-12 11:03, Tony Li wrote:
>  
> 
> |Of course, that was a long story in itself but I think
> |people were deeply concerned about several points, and
> |the proponents of 8+8 didn't answer those points
> |(well, not until quite recently). And meanwhile, a lot
> |of Classic IPv6 code has shipped, so software inertia
> |has appeared.
> 
> 
> Of course, you also have to wonder just how much inertia there is when the
> predominant implementation can't do DNS over v6.  ;-)
> 
> I, for one, am to the point where all claims of "we can't change" are simply
> folks trying to justify "we don't want change".  Sorry, non-starter.  This
> is life and change is inevitable.  Unless you're still using a telegraph key
> as your primary data communications tool, you're capable of change.

I agree that we must not reject change. However, ten years of IPv6
promotion, and a few government mandates, have been needed to get
the applications industry to the point where they have already replaced,
or are in the process of replacing, the network interface code in
their applications. The chances of getting them to accept any further
change that is visible *above* the network layer are pretty slim.

To be clear, I'm not talking about operating system stacks - those
are provably updateable by the service pack mechanism or equivalent.
I'm talking (once again) about any change that affects the socket API.
I think that's a selection criterion when we get to picking a
recommendation.

    Brian

--
to unsubscribe send a message to [email-masked] with the
word 'unsubscribe' in a single line as the message text body.
archive: <http://psg.com/lists/rrg/> & ftp://psg.com/pub/lists/rrg